import {
  codeFrameColumns
} from "@babel/code-frame";
class CodeFrameError extends Error {
  constructor(message, file, options) {
    super(message);
    this.codeFrame = codeFrameColumns(file.rawLines, file.location, options);
    this.fileName = file.name;
    Object.setPrototypeOf(this, CodeFrameError.prototype);
  }
  toString() {
    return [
      `CodeFrameError: ${this.message}`,
      "",
      this.fileName,
      this.codeFrame,
      ""
    ].filter((l) => l !== void 0).join("\n");
  }
}
export {
  CodeFrameError as default
};
